import * as React from 'react';
import { Plugin } from './plugin';
export declare function Editor<K extends string = string>({ plugins, defaultPlugin, initialState, changed, children, editable }: EditorProps<K>): JSX.Element | null;
export interface EditorProps<K extends string = string> {
    children?: React.ReactNode | ((document: React.ReactNode) => React.ReactNode);
    plugins: Record<K, Plugin>;
    defaultPlugin: K;
    initialState?: {
        plugin: string;
        state?: unknown;
    };
    changed?: (changed: boolean) => void;
    editable?: boolean;
}
//# sourceMappingURL=editor.d.ts.map