export { Document, DocumentProps } from './document';
export { Editor, EditorProps } from './editor';
export { EditorContext, EditorContextValue } from './editor-context';
export { useEditorFocus, useEditorHistory, useEditorMode } from './hooks';
export { Plugin, StatefulPluginEditorProps, StatelessPluginEditorProps, StatefulPlugin, StatelessPlugin } from './plugin';
import * as StateType from './plugin-state';
export { StateType };
export { ActionType, PluginState, ActionCommitType, serializeDocument, getClipboard, getPlugins, hasPendingChanges, isEditable } from './store';
export { OverlayContext, OverlayContextValue } from './overlay';
//# sourceMappingURL=index.d.ts.map